Bug 7432 - Problems trying to partition 10 G disk with Win98 & NT
Problems trying to partition 10 G disk with Win98 & NT
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-29 22:59 EST by steven
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-30 17:36:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Printout of FDISK partition table - expert mode (485 bytes, text/plain)
1999-11-30 01:47 EST, steven
no flags Details

  None (edit)
Description steven 1999-11-29 22:59:21 EST
I am having trouble adding new partitions for Linux above 8 gig.
I have attempted to boot using boot: linux hda=1247,255,63 which matches
my bios disk geometry. Each time I use fdisk to partition for a Linux
Native & Linux swap, then try to verify the partition, I recieve errors "
Warning: Partition 3 overlaps partition 4
Warning: Partition 3 overlaps partition 6
Warning: Partition 4 overlaps partition 6
184 unallocated sectors"

When I try to use Disk Druid, it reports there is no free space. I have
deleted and re created partitions, and try to continue with those errors,
but when it comes to loading the programs the PC seems to hang. The Swap
space seems to format OK. I found that initially I corrupted my NT
partition. It seems to have deleted data and programs from the
d:\winnt\system area, which was probably the first data to be written to
that partition.

I initially created the first disk partition with Windows98 as a 16 bit 2
gig partition.
I then used Win NT to create an extended 6 gig partition, and split this
into 2 logical drives D: (for NT) 2 GIG, and E: 4 gig.

Linux fdisk reports the following partition table:
             Start  End            ID  System
/tmp/hda1  *     1  261  2096451    6  DOS 16 Bit >=32M
/tmp/hda2      262 1024  6128797 +  5  Extended
/tmp/hda3     1026 1215  1526175   83  Linux Native
/tmp/hda4     1216 1247   257040   82  Linux Swap
/tmp/hda5      262  516  2048256    6  DOS 16 Bit >= 32M
/tmp/hda6      517 1024  4080478    6  DOS 16 Bit >= 32M

However, when you view the partition table in expert mode, the values do
indeed seem to overlap. I can provide those numbers seperately if you
require. It may be relevant to note that when using NT to create the
extended partition, it could only see 8 gig of the 10 gig disk.
Comment 1 steven 1999-11-30 01:47:59 EST
Created attachment 19 [details]
Printout of FDISK partition table - expert mode
Comment 2 steven 1999-11-30 17:36:59 EST
Problem found to be that system was actually formatting partition (I think).
Seemed to get no response for 20 - 30 minutes during this formatting, with no
indication to the operator that the system was formatting or still working
(such as a bar graph), leading me to conclude that the system had frozen.

Note You need to log in before you can comment on or make changes to this bug.